use crate::shutdown::ShutdownReceiver;
use std::sync::Arc;
use tokio::sync::broadcast;
use tokio::sync::RwLock;

pub(crate) struct Listener {
    pub(crate) shutdown: ShutdownReceiver,
    pub(crate) source: String,
    pub(crate) targets: Arc<RwLock<Vec<String>>>,
    pub(crate) targets_changed: broadcast::Receiver<()>,
}
